import { Observable } from "rxjs";

export interface TransportInterface {
    send(message: any): Observable<any>

    emit(message: any): void

    getTransportEventNotification(): Observable<any>
}


export interface TransportSettings {
    role: 'Server' | 'Client',
    profileInfo: ProfileInfo,
}

export interface ProfileInfo {
    id: string,
    name: string,
    url?: string | null,
    port?: number | null
}
